summaryrefslogtreecommitdiffstats
path: root/games/dgen
diff options
context:
space:
mode:
author Carlos Corbacho <carlos@strangeworlds.co.uk>2012-12-13 19:41:34 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-15 15:13:34 +0100
commit2d7b0cdeb69bb926db1c8503e664b7bc9e587121 (patch)
tree508bb0a8703c20a3af211670101d763fc93c2ed7 /games/dgen
parent26cef08541d8697c0cb6004b9ebcf379312f6491 (diff)
downloadslackbuilds-2d7b0cdeb69bb926db1c8503e664b7bc9e587121.tar.gz
slackbuilds-2d7b0cdeb69bb926db1c8503e664b7bc9e587121.tar.xz
games/dgen: Added (emulator for Sega Genesis/Mega Drive).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'games/dgen')
-rw-r--r--games/dgen/README6
-rw-r--r--games/dgen/dgen.SlackBuild108
-rw-r--r--games/dgen/dgen.info10
-rw-r--r--games/dgen/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/games/dgen/README b/games/dgen/README
new file mode 100644
index 0000000000..510e926756
--- /dev/null
+++ b/games/dgen/README
@@ -0,0 +1,6 @@
+DGen/SDL is a free, open source emulator for Sega Genesis/Mega Drive systems.
+DGen was originally written by Dave, then ported to SDL by Joe Groff and Phil
+K. Hornung in 1998.
+
+DGen isn't the best Mega Drive/Genesis emulator out there, but it works and
+it's probably the most portable. It's also perfect for command‐line freaks.
diff --git a/games/dgen/dgen.SlackBuild b/games/dgen/dgen.SlackBuild
new file mode 100644
index 0000000000..d2dfcd3306
--- /dev/null
+++ b/games/dgen/dgen.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for dgen
+
+# Copyright 2012 Carlos Corbacho <carlos@strangeworlds.co.uk>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dgen
+SRCNAM=dgen-sdl
+VERSION=${VERSION:-1.31}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Strip binaries and libraries
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/dgen/dgen.info b/games/dgen/dgen.info
new file mode 100644
index 0000000000..c8f0e28ccd
--- /dev/null
+++ b/games/dgen/dgen.info
@@ -0,0 +1,10 @@
+PRGNAM="dgen"
+VERSION="1.31"
+HOMEPAGE="http://dgen.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/dgen/dgen-sdl-1.31.tar.gz"
+MD5SUM="3f297010cc17c471c8c66652d9dee905"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Carlos Corbacho"
+EMAIL="carlos@strangeworlds.co.uk"
diff --git a/games/dgen/slack-desc b/games/dgen/slack-desc
new file mode 100644
index 0000000000..122dcf09ad
--- /dev/null
+++ b/games/dgen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dgen: dgen (emulator for Sega Genesis/Mega Drive)
+dgen:
+dgen: DGen/SDL is a free, open source emulator for Sega Genesis/Mega Drive
+dgen: systems. DGen was originally written by Dave, then ported to SDL by
+dgen: Joe Groff and Phil K. Hornung in 1998.
+dgen:
+dgen: DGen isn't the best Mega Drive/Genesis emulator out there, but it
+dgen: works and it's probably the most portable.
+dgen:
+dgen:
+dgen: